/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.account;

import java.util.List;

/**
 */
public class AccountReport {
    private List<String> summaries;
    private String currency;
    
    public AccountReport(String currency, List<String> summaries) {
        this.currency = currency;
        this.summaries = summaries;
    }

    public List getAccountSummaries() { return summaries; }
    
    public String getCurrency() { return currency; }
    
    @Override
    public String toString() {
        return "currency: "+ currency + ", " + summaries;
    }
    
}
