/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package bigbank.stockquote;


/**
 * This class implements the StockQuote service.
 */
public class StockQuoteImpl implements StockQuoteService {

    public double getQuote(String symbol) {
        double price = 104.0 + Math.random();
        price = ((int)(price * 100)) / 100.0;

        System.out.println("Getting stock quote for: " + symbol + ", value: "+ price);

        return price;
    }

}
